# Fetch 1.1 changelog

- If `w3m` or `imagemagick` aren't installed we gracefully fallback to ascii mode.
- Automatically find the `w3mimgdisplay` path and fallback to ascii mode if not found.
- Fix padding escape codes on BSD systems.
- Swap escape codes from `\e` to `\033` for consistency.
- We only move the cursor to the bottom of the terminal in w3m/iterm2 rendering modes.
- Cursor position is now dynamic based on the height of the ascii and info text.
- If images and ascii are off, don't clear the terminal
- The script now exits correctly instead of always exiting with status code `1`

### Config file

- Fetch now has a config file that you can share with people and<br \>
keep between script versions!
- Added `--config` and `$config_file` to specify a custom config location.
- Added `--config off`, `--config none` and `$config` to enable / disable config files<br \>
at launch or in script.


### Makefile

- Fetch now has a make file due to the increasing number of files,<br \>
this allows the script to be easily installed and uninstalled on<br \>
systems it isn't packaged for yet!


### Info

**Kernel:**

- Added `kernel_shorthand` to print less or more kernel info

**Distro:**

- Added support for showing Max OS X build version.
    - You can toggle it using `--osx_buildversion` and `$osx_buildversion`.

**Window Manager:**

- Added support for `$XINITRC`

**Shell:**

- Added `--shell_version` and `$shell_version` to hide/show your shell's version.
- Added `--shell_path` and `$shell_path` to hide/show the path to your shell

**GTK:**

- Fix incorrect GTK3 theme being displayed

**CPU:**

- `cpu_shorthand`: New substitutions

**Memory:**

- Mac OS X: Added wired memory to memory usage.

**Birthday:**

- Added `birthday` which prints the age of your OS
- Added `--birthday_shorthand` and `$birthday_shorthand` to shorten/lengthen<br \>
the output of birthday.
- Added `--birthday_time` and `$birthday_time` to show/hide the time in the output.


### Image

- Rename `--shuffledir` and `$shuffledir` to `shuffle_dir`.
- Added support for ascii art inside of text files.
- If `--image` and `--ascii` are left empty we fallback to ascii distro mode.

```sh
fetch --ascii "path/to/ascii" --ascii_color 2

```

- Added "screenfetch mode" which will display your distro's ascii art<br\>
  next to the info.<br \>
  See: http://localhost:6419/#how-do-i-enable-screenfetch-mode
- Added `--ascii_distro` to choose which distro's ascii logo to display.
